librevenge::RVNGHTMLTextTableStyleManager Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
librevenge::RVNGHTMLTextTableStyleManager Class Reference

Small class to manage the tables style. More...

`#include <RVNGHTMLTextTableStyle.h>`

## Public Member Functions
| RVNGHTMLTextTableStyleManager ()
| constructor More...
| ~RVNGHTMLTextTableStyleManager ()
| destructor More...
void | openTable (RVNGPropertyListVector const &colList)
| open a table More...
void | closeTable ()
| close a table More...
std::string | getCellClass (RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
std::string | getRowClass (RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
void | send (std::ostream &out)
| send the data to the stream More...

## Private Member Functions
std::string | getCellContent (RVNGPropertyList const &pList) const
| convert a property list in a html content string More...
std::string | getRowContent (RVNGPropertyList const &pList) const
| convert a property list in a html content string More...
bool | getColumnsWidth (int i, int numSpanned, double &w) const
| try to return the col width More...
| RVNGHTMLTextTableStyleManager (RVNGHTMLTextTableStyleManager const &orig)
RVNGHTMLTextTableStyleManager | operator= (RVNGHTMLTextTableStyleManager const &orig)

## Private Attributes
std::map< std::string, std::string > | m_cellContentNameMap
| a map cell content -> name More...
std::map< std::string, std::string > | m_rowContentNameMap
| a map row content -> name More...
std::vector< std::vector< double > > | m_columWitdhsStack
| a stack of column width (in inches ) More...

## Detailed Description

Small class to manage the tables style.

## Constructor & Destructor Documentation

## ◆ RVNGHTMLTextTableStyleManager() [1/2]

librevenge::RVNGHTMLTextTableStyleManager::RVNGHTMLTextTableStyleManager | ( |  | ) |
| inline

constructor

## ◆ ~RVNGHTMLTextTableStyleManager()

librevenge::RVNGHTMLTextTableStyleManager::~RVNGHTMLTextTableStyleManager | ( |  | ) |
| inline

destructor

## ◆ RVNGHTMLTextTableStyleManager() [2/2]

librevenge::RVNGHTMLTextTableStyleManager::RVNGHTMLTextTableStyleManager | ( | RVNGHTMLTextTableStyleManager const & | orig | ) |
| private

## Member Function Documentation

## ◆ closeTable()

void librevenge::RVNGHTMLTextTableStyleManager::closeTable | ( |  | ) |

close a table

Referenced by librevenge::RVNGHTMLTextGenerator::closeTable(), and ~RVNGHTMLTextTableStyleManager().

## ◆ getCellClass()

std::string librevenge::RVNGHTMLTextTableStyleManager::getCellClass | ( | RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

Referenced by librevenge::RVNGHTMLTextGenerator::openTableCell(), and ~RVNGHTMLTextTableStyleManager().

## ◆ getCellContent()

std::string librevenge::RVNGHTMLTextTableStyleManager::getCellContent | ( | RVNGPropertyList const & | pList | ) | const
| private

convert a property list in a html content string

Referenced by getCellClass(), and ~RVNGHTMLTextTableStyleManager().

## ◆ getColumnsWidth()

bool librevenge::RVNGHTMLTextTableStyleManager::getColumnsWidth | ( | int | i,
|  | int | numSpanned,
|  | double & | w
| ) |  | const
| private

try to return the col width

Referenced by getCellContent(), and ~RVNGHTMLTextTableStyleManager().

## ◆ getRowClass()

std::string librevenge::RVNGHTMLTextTableStyleManager::getRowClass | ( | RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

Referenced by librevenge::RVNGHTMLTextGenerator::openTableRow(), and ~RVNGHTMLTextTableStyleManager().

## ◆ getRowContent()

std::string librevenge::RVNGHTMLTextTableStyleManager::getRowContent | ( | RVNGPropertyList const & | pList | ) | const
| private

convert a property list in a html content string

Referenced by getRowClass(), and ~RVNGHTMLTextTableStyleManager().

## ◆ openTable()

void librevenge::RVNGHTMLTextTableStyleManager::openTable | ( | RVNGPropertyListVector const & | colList | ) |

open a table

Referenced by librevenge::RVNGHTMLTextGenerator::openTable(), and ~RVNGHTMLTextTableStyleManager().

## ◆ operator=()

RVNGHTMLTextTableStyleManager librevenge::RVNGHTMLTextTableStyleManager::operator= | ( | RVNGHTMLTextTableStyleManager const & | orig | ) |
| private

## ◆ send()

void librevenge::RVNGHTMLTextTableStyleManager::send | ( | std::ostream & | out | ) |

send the data to the stream

Referenced by librevenge::RVNGHTMLTextGenerator::endDocument(), and ~RVNGHTMLTextTableStyleManager().

## Member Data Documentation

## ◆ m_cellContentNameMap

std::map<std::string, std::string> librevenge::RVNGHTMLTextTableStyleManager::m_cellContentNameMap
| private

a map cell content -> name

Referenced by getCellClass(), and send().

## ◆ m_columWitdhsStack

std::vector<std::vector<double> > librevenge::RVNGHTMLTextTableStyleManager::m_columWitdhsStack
| private

a stack of column width (in inches )

Referenced by closeTable(), getColumnsWidth(), and openTable().

## ◆ m_rowContentNameMap

std::map<std::string, std::string> librevenge::RVNGHTMLTextTableStyleManager::m_rowContentNameMap
| private

a map row content -> name

Referenced by getRowClass(), and send().

The documentation for this class was generated from the following files:

- RVNGHTMLTextTableStyle.h
- RVNGHTMLTextTableStyle.cpp